Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 165946 - Invalid error badge in code
Invalid error badge in code
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Compiler
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Dusan Balek
issues@java
67patch1-verified
:
Depends on:
Blocks: 121950
  Show dependency treegraph
 
Reported: 2009-05-25 13:08 UTC by Milan Kuchtiak
Modified: 2011-02-10 18:10 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Milan Kuchtiak 2009-05-25 13:08:11 UTC
This code is error badged, though it works perfectly.

The error badge is at commented line.

public abstract class Main1 {

    abstract class M2 {
        abstract void doWork();
    }

    public static void main(String[] args) {
        Main1 m = new Main1() {
            @Override
            void doWork() {
                System.out.println("Main1 working");
            }
        };
        
        M2 m2 = m.new M2() { // this line is error badged
            @Override
            void doWork() {
                System.out.println("M2 working");
            }
        };

        m.doWork();
        m2.doWork();
    }

    abstract void doWork();

}
Comment 1 Max Sauer 2009-05-27 13:15:22 UTC
Dusane, could you please have a look? OpenJDK compiles this fine.
Comment 2 Dusan Balek 2009-05-29 13:48:51 UTC
Fixed in jet-main.

http://hg.netbeans.org/jet-main/rev/89619a8f9952
Comment 3 Quality Engineering 2009-05-30 06:44:05 UTC
Integrated into 'main-golden', will be available in build *200905300201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/89619a8f9952
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #165946: Invalid error badge in code - fixed.
Comment 4 Petr Blaha 2009-07-02 13:33:02 UTC
verified in the build 090702
Comment 5 pgebauer 2009-07-08 20:00:41 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/35270972af92
Comment 6 pribyl 2009-07-16 10:46:28 UTC
Product Version: NetBeans IDE 6.7.1 RC (Build 200907150227)
Java: 1.6.0_14; Java HotSpot(TM) Client VM 14.0-b16
System: Windows XP version 5.1 running on x86; Cp1250; cs_CZ (nb)

Verified in 6.7.1. RC build


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo